#45 DWL-520+ will not ASSOCIATE

closed
nobody
None
5
2013-02-17
2004-02-05
angrypotato
No

Been stuck for a while trying to install a DWL-520+. I
have Linux 2.4.21_0.13mdk and acx100_pci.o made
from code version 2003.11.16 -0.2.0pre6. I am trying
to persuade it to connect with a D-Link DSL-504 Router
through a 3Com Access point (WL-308). There is
already a wired connection with the router. The wireless
point and access card work OK in Windows.

The driver compiled nicely and the start_net script
seems to do its stuff except that the line trying to insert
into the routing table produces:

SIOCADDRT: File exists.

The big problem however is that the driver can not
associate. The warnings log shows that things are
rattling along nicely until it reaches iStatus = 3. The
next step is to try to associate and this fails eleven
times before it gives up. The LED on the card flashes at
each of these attempts so it looks as if it is really trying
to do something.

The startup script is using managed mode and the
ESSID is accepted as a match. ifconfig and iwconfig
give plausible results but, alas, still no association.

I am not sure if the SIOADDRT problem is connected to
the failure to associate but any useful pointers would
encourage me to keep trying.

The bit out of the warnings log where it hits the
problem and the details of ifconfig and iwconfig are
attached below.

-------------------------------------------------------------
------

warnings

Feb 4 14:49:52 localhost kernel: <acx100_join_bssid>
JoinBSSID MAC:00 04 75 61 2A 55
Feb 4 14:49:52 localhost kernel: Sending
authentication1 request, awaiting response!
Feb 4 14:49:52 localhost kernel: acx100_set_status:
Setting iStatus = 2 (WAIT_AUTH)
Feb 4 14:49:52 localhost kernel: process_authen:
UNVERIFIED.
Feb 4 14:49:52 localhost kernel:
00.80.C8.B1.80.79<4>00.80.C8.B1.80.79<4>00.04.75.
61.2A.55<4>00.04.75.61.2A.55<4>00.04.75.61.2A.55
<4>Algorithm is ok
Feb 4 14:49:52 localhost kernel: Got current client for
sta hash tab
Feb 4 14:49:52 localhost kernel: Found acceptable
client
Feb 4 14:49:52 localhost kernel: <sta_list_add> sta =
00:04:75:61:2A:55
Feb 4 14:49:52 localhost kernel: process_authen auth
seq step 2.
Feb 4 14:49:52 localhost kernel: acx100_set_status:
Setting iStatus = 3 (AUTHENTICATED)
Feb 4 14:49:52 localhost kernel: Sending association
request, awaiting response! NOT ASSOCIATED YET.
Feb 4 14:49:52 localhost kernel: association:
requesting capabilities 0x0001
Feb 4 14:49:52 localhost kernel: <acx_timer> iStatus
= 3
Feb 4 14:49:52 localhost kernel: resend association
request (attempt 2).
Feb 4 14:49:52 localhost kernel: Sending association
request, awaiting response! NOT ASSOCIATED YET.
Feb 4 14:49:52 localhost kernel: association:
requesting capabilities 0x0001
Feb 4 14:49:53 localhost kernel: <acx_timer> iStatus
= 3

-------------------------------------------------------------
-----------
ifconfig

eth0 Link encap:Ethernet HWaddr
00:05:5D:75:0A:53
inet addr:192.168.0.7 Bcast:192.168.0.255
Mask:255.255.255.0
UP BROADCAST RUNNING MULTICAST
MTU:1500 Metric:1
RX packets:1243 errors:0 dropped:0 overruns:0
frame:0
TX packets:946 errors:0 dropped:0 overruns:0
carrier:0
collisions:0 txqueuelen:100
RX bytes:139214 (135.9 Kb) TX bytes:131594
(128.5 Kb)
Interrupt:11 Base address:0xdc00

lo Link encap:Local Loopback
inet addr:127.0.0.1 Mask:255.0.0.0
UP LOOPBACK RUNNING MTU:16436 Metric:1
RX packets:62 errors:0 dropped:0 overruns:0
frame:0
TX packets:62 errors:0 dropped:0 overruns:0
carrier:0
collisions:0 txqueuelen:0
RX bytes:4866 (4.7 Kb) TX bytes:4866 (4.7 Kb)

wlan0 Link encap:Ethernet HWaddr
00:80:C8:B1:80:79
inet addr:10.0.0.3 Bcast:10.255.255.255
Mask:255.255.255.0
UP BROADCAST RUNNING MULTICAST MTU:576
Metric:1
RX packets:0 errors:0 dropped:0 overruns:0
frame:0
TX packets:0 errors:22 dropped:0 overruns:0
carrier:0
collisions:0 txqueuelen:100
RX bytes:0 (0.0 b) TX bytes:0 (0.0 b)
Interrupt:10 Base address:0xe000

-------------------------------------------------------------
--------------
iwconfig

wlan0 IEEE 802.11b ESSID:off/any
Nickname:"acx100 v0.2.0pre6"
Mode:Managed Channel:3 Access Point:
00:04:75:61:2A:55
Bit Rate=11Mb/s Tx-Power:20 dBm
Retry min limit:5
Encryption key:off
Link Quality:100 Signal level:74 Noise level:0
Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid
frag:0
Tx excessive retries:0 Invalid misc:0 Missed
beacon:0

Discussion

  • Andreas Mohr
    Andreas Mohr
    2004-02-13

    Logged In: YES
    user_id=132674

    One word: ouch.
    But please give many more details (e.g. debug level 0xffff,
    we don't know anything about the wireless properties of the
    peer station, ...).
    Also, please try to use a current version, pre6 is terribly
    outdated.

     
  • Oliver Winker
    Oliver Winker
    2013-02-17

    • Status: open --> closed